Subject: git-cvsserver strips exec bit

From: Michael Cronenworth <[email-masked]>
Date: Tue, 10 Sep 2013 10:23:42 -0500

Hello,

On git 1.8.1.x (Fedora 18) I was able to use the git-cvsserver to checkout code
to package into a tarball. Script files that were in git with 755 masks were
checked-out with the same mask. After upgrading the git repository machine to
Fedora 19 (1.8.3.1) the behaviour has changed. When I checkout the same script
files their mask is now 644. The mask has not changed in git.

I understand I can use git-archive to perform the same functionality, but I'd
like to report this issue here.

Thanks,
Michael